org.mariadb.jdbc.internal.io.socket

## Class SocketUtility

- java.lang.Object
- - org.mariadb.jdbc.internal.io.socket.SocketUtility

    public class SocketUtility
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SocketUtility()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Socket` `getSocketHandler(UrlParser urlParser, String host)` Create socket according to options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketUtility

    public SocketUtility()

### Method Detail

#### getSocketHandler

    public static Socket getSocketHandler(UrlParser urlParser,
                                          String host)
                                   throws IOException

Create socket according to options. In case of compilation ahead of time, will throw an error if dependencies found, then use default socket implementation.

Parameters:
  `urlParser` - connection string parser info
  `host` - host
Returns:
  Socket
Throws:
  `IOException` - if socket fail to create